#
# Directory containing user workspaces.
#
#maqetta.baseDirectory=/var/lib/maqetta/users

#
# Enable Dojo Web Builder, by specify its URL.
# (No trailing slash.)
#
#maqetta.dojoWebBuilder=http://build.dojotoolkit.org

#
# Additional arguments for the java process.
#
#maqetta.extra_java_args=-Xmx512m -Xms256m

#
# Network port for server. Defaults to 8080.
#
org.eclipse.equinox.http.jetty.http.port=50000

#
# User authentication which the server should use.  Possible values:
#   * FORM+OpenId: (default) Form-based authentication. NOTE: OpenId auth
#                   is not supported by Maqetta (yet).
#   * Basic: basic HTTP authentication
#   * ldaplogin: LDAP server authentication
#
#orion.auth.name=

###############################################
#   LDAP Options
###############################################

#
# To use LDAP user authentication, set "orion.auth.name=ldaplogin" (see above) 
# and set the appropriate values in the maqetta.auth.ldap.* options
#

# the ldap url to use when authenticating a user
maqetta.auth.ldap.provider.url=ldaps://ldapserver.example.com:636

# the ldap url to use when looking up a uses ldap information
# non ssl is faster.
maqetta.auth.ldap.lookup.provider.url=ldap://ldapserver.example.com:389

# the jndi directory context to use, optional, if not defined defaults to
# com.sun.jndi.ldap.LdapCtxFactory
maqetta.auth.ldap.initial.context.factory=com.sun.jndi.ldap.LdapCtxFactory

# (defaults to com.sun.jndi.url)
maqetta.auth.ldap.url.pkg.prefixes=com.sun.jndi.url

# (defaults to ignore)
maqetta.auth.ldap.referral=ignore

# Used when authenticating a user
maqetta.auth.ldap.security.authentication=SIMPLE

# Used when looking up a user.  Possible values:
#   * none: (default)
#   * SIMPLE
maqetta.auth.ldap.lookup.security.authentication=none

# used when when authenticating a user
maqetta.auth.ldap.security.protocol=ssl

# used when when looking up a user. Possible values:
#   * none: (default)
#   * ssl
#maqetta.auth.ldap.lookup.security.protocol=ssl

# ldap base to use when searching for user
maqetta.auth.ldap.base=dc=example,dc=com

# ldap attribute to use when searching for user (i.e. "email" or
# "employeenumber")
maqetta.auth.ldap.user.filter=mail

# ldap attribute that will be used as the user's display name
maqetta.auth.ldap.user.displayname=cn

# ldap attribute that will be used as user's email
#maqetta.auth.ldap.user.email=email

# Used to bind with the ldap server for lookup if ldap server does not
# allow anonymous lookup.
#maqetta.auth.ldap.bind.user=cn=Directory Manager
#maqetta.auth.ldap.bind.password=secret

# Location of trust store to be used with SSL for self-signed certificates.
#maqetta.auth.ldap.truststore=C:/OpenDS-2.2.1/OpenDS_no_anon/config/truststore

# Truststore password, not needed in most cases.
#maqetta.auth.ldap.truststorepassword=secret

# Truststore type.
#maqetta.auth.ldap.truststoretype=JKS

# keystore not used in most server.
#maqetta.auth.ldap.keystore=C:/OpenDS-2.2.1/OpenDS_no_anon/config/keystore
#maqetta.auth.ldap.keystorepassword=secret

###############################################
#   Mail Options
###############################################

#
# SMTP server, used for sending registration and review emails.
#
#mail.smtp.host=[smtp_host]

#
# SMTP server port, if different than 25
#
#mail.smtp.port=25

#
# SMTP server authentication; optional.
# Set 'auth' to true, then enter 'user' and 'password'
#
#mail.smtp.auth=true
#mail.smtp.user=[smtp_user]
#mail.smtp.password=[password]

#
# Specify the email address to use as "from" when sending emails.
#
#mail.from=[sender_of_mails]

#
# Enable use of the STARTTLS command. Will also need to enable the
# mail.smtp.socketFactory.class property.
#
mail.smtp.starttls.enable=false

# Use the following if you need SSL
#mail.smtp.socketFactory.port=d_port
#mail.smtp.socketFactory.class="javax.net.ssl.SSLSocketFactory"
#mail.smtp.socketFactory.fallback=false

#mail.debug=true

###############################################
#   Files and Filesystem
###############################################

#
# By default, files are stored in a flat layout (value of 'flat').  Set to 'userTree' to use a tree
# heirarchy where files are stored under each user's id.
#
#orion.file.layout=flat

###############################################
#   User Settings
###############################################

#
# Setup admin password (account name is 'admin').
# Only use once to set up, then comment out this line and remove password
#
#orion.auth.admin.default.password=abracadabra

#
# Require user to confirm email before they can login to their account.
#
#orion.auth.user.creation.force.email=true

###############################################
#   SSL Options
###############################################

#jetty.https.enabled=true
#jetty.https.port=8443
#jetty.ssl.keystore=/var/lib/maqetta/keystore
#jetty.ssl.password=password
#jetty.ssl.keypassword=password
#jetty.ssl.protocol=SSLv3

###############################################
#   Other Options
###############################################

# Whether site should users to share project templates with all other users
# Value is either the string "true" or "false", default "true"
#maqetta.projecttemplates.sharing.all.enabled=true

# Whether site should enable type-ahead to auto-complete
# user email addresses (e.g., in review wizard)
#maqetta.username.typeahead.enabled=true